LIFEREA(1)

NAME
Liferea - GTK desktop news aggregator

SYNOPSIS
liferea [OPTIONS]

DESCRIPTION
Liferea (Linux Feed Reader) is an aggregator for online news feeds. It can be used to maintain a list of subscribed feeds, browse and search through their items and displays their contents. Additionally Liferea allows one to sync subscriptions and read headlines with online accounts of TinyTinyRSS and TheOldReader.

OPTIONS
Liferea options:

-v, --version
    Print version information and exit.

-h, --help
    Display a option overview and exit.

-a, --add-feed=URI
    Add a new subscription URI which can be a feed or website URL.

-w, --mainwindow-state=STATE
    Start Liferea with its mainwindow in STATE: shown, hidden.

-p, --disable-plugins
    Start with all plugins disabled.

--debug-all
    Print debugging messages of all types.

--debug-cache
    Print debugging messages for the cache handling.

--debug-conf
    Print debugging messages of the configuration handling.

--debug-db
    Print debugging messages of the configuration handling.

--debug-gui
    Print debugging messages of all GUI functions.

--debug-html
    Enables HTML rendering debugging. Each time Liferea renders HTML output it will also dump the generated HTML into $XDG_CACHE_DIR/liferea/output.html.

--debug-net
    Print debugging messages of all network activities and display the HTTP/S User-Agent string.

--debug-parsing
    Print debugging messages of all parsing functions.

--debug-performance
    Print debugging messages when a function takes too long to process.

--debug-trace
    Print debugging messages when entering/leaving functions.

--debug-update
    Print debugging messages of the feed update processing.

--debug-vfolder
    Print debugging messages of the search folder matching.

--debug-verbose
    Print verbose debugging messages.

DBUS INTERFACE
To allow integration with other programs Liferea provides a DBUS interface for automatic creation of new subscriptions. The script liferea-add-feed is a convenient way to use this interface. Just pass a valid feed URL as parameter and the feed will be added to the feed list. You can also pass non-feed URLs to use feed auto discovery. See the EXAMPLES section.

ENVIRONMENT

http_proxy (for HTTP connections)
https_proxy (for HTTPS connections)
    If defined and a proxy is not specified in the Liferea preferences (which uses the proxy settings provided by dconf), their value will be used as proxy URIs. Both are used by many common CLI tools, so make sure to export them in a dedicated subshell.

LIFEREA_FEED_CMD_TIMEOUT
    If defined, overrides the default timeout for feed generating commands with the number of seconds given in this variable. It must be an integer value greater than zero; invalid values will be ignored.

LIFEREA_UA_ANONYMOUS
    If defined, randomizes and anonymizes the default HTTP/S User-Agent string.

LIFEREA_UA
    If defined, its value replaces the default HTTP/S User-Agent string.

LIFEREA_UA has always precedence over LIFEREA_UA_ANONYMOUS, so the latter can be safely defined in global shell initialization files.

EXAMPLES

$ http_proxy="http://proxy.example.com:3128" liferea
$ http_proxy="http://username:password@proxy.example.com:3128" liferea
    Will alter each outgoing request to use proxy.example.com on port 3128 as proxy. If DNS resolution does not work, an IP address can be used instead.

$ LIFEREA_UA_ANONYMOUS=1 liferea --debug-net
    Will alter each outgoing HTTP/S request to randomize Liferea's version and hide the operative system in use. In addition, prints the HTTP/S User-Agent and all outgoing network requests.

$ LIFEREA_UA="Mozilla/5.0 (X11; Linux x86_64; rv:10.0) Gecko/20100101 Firefox/10.0" liferea
    Will alter each outgoing HTTP/S request to pose as Firefox on Linux.

$ liferea-add-feed "feed:https://www.example.com/feed.rss"
$ liferea --add-feed "https://www.example.com/feed.rss"
    Subscribe to "example.com/feed.rss". Remember to supply a valid and correctly escaped feed URL as parameter. Please note that Liferea needs to be running for liferea-add-feed to work.

FILES

$XDG_CONFIG_DIR/liferea/feedlist.opml
    Contains the current list of subscriptions.

$XDG_CONFIG_DIR/liferea/liferea.css
    Stylesheet that can be used to override default HTML style.

$XDG_DATA_DIR/liferea/liferea.db
    SQLite3 database with all subscriptions and headlines.

$XDG_DATA_DIR/liferea/plugins/
    User-installed plugins are stored here. You can either manually put plugins here or use the plugin installer in Liferea.

AUTHOR
This manual page was written by Lars Windolf <lars.windolf@gmx.de>. Updated on Nov 24, 2021 by Lorenzo L. Ancora <admin@lorenzoancora.info>.